<!DOCTYPE html>
<html lang="{{ .Page.Language | default "en" }}" class="js csstransforms3d">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    {{ partial "meta.html" . }}
    {{ partial "favicon.html" . }}
    <title>{{ .Title }} :: {{ .Site.Title }}</title>

    {{ $assetBusting := not .Site.Params.disableAssetsBusting }}
    <link href="{{"css/nucleus.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    <link href="{{"css/fontawesome-all.min.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    <link href="{{"css/hybrid.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    <link href="{{"css/featherlight.min.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    <link href="{{"css/perfect-scrollbar.min.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    <link href="{{"css/auto-complete.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    <link href="{{"css/atom-one-dark-reasonable.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    <link href="{{"css/theme.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    <link href="{{"css/hugo-theme.css" | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    {{with .Site.Params.themeVariant}}
      <link href="{{(printf "css/theme-%s.css" .) | relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}" rel="stylesheet">
    {{end}}

    <script src="{{"js/jquery-3.3.1.min.js"| relURL}}{{ if $assetBusting }}?{{ now.Unix }}{{ end }}"></script>

    <style type="text/css">
      :root #header + #content > #left > #rlblock_left{
          display:none !important;
      }
      {{ if .Site.Params.disableInlineCopyToClipBoard }}
        :not(pre) > code + span.copy-to-clipboard {
            display: none;
        }
      {{ end }}
    </style>
    {{ partial "custom-header.html" . }}
  </head>
  <body class="" data-url="{{ .RelPermalink }}">
    {{ partial "menu.html" . }}
        <section id="body">
        <div id="overlay"></div>
        <div class="padding highlightable">
              <div>
                <div id="top-bar">
                {{ if and (or .IsPage .IsSection) .Site.Params.editURL }}
                  {{ $File := .File }}
                  {{ $Site := .Site }}
                  {{with $File.Path }}
                  <div id="top-github-link">
                    <a class="github-link" title='{{T "Edit-this-page"}}' href="{{ $Site.Params.editURL }}{{ replace $File.Dir "\\" "/" }}{{ $File.LogicalName }}" target="blank">
                      <i class="fas fa-code-branch"></i>
                      <span id="top-github-link-text">{{T "Edit-this-page"}}</span>
                    </a>
                  </div>
                  {{ end }}
                {{ end }}
                <div id="breadcrumbs" itemscope="" itemtype="http://data-vocabulary.org/Breadcrumb">
                  <span id="sidebar-toggle-span">
                    <a href="#" id="sidebar-toggle" data-sidebar-toggle="">メニュー</a>
                  </span>
                  {{ if .IsPage }}
                    <span id="toc-menu">
                      <a href="#">目次</a>
                    </span>
                  {{ end }}
                  <span class="links">
                 {{$showBreadcrumb := (and (not .Params.disableBreadcrumb) (not .Site.Params.disableBreadcrumb))}}
                 {{if $showBreadcrumb}}
                    {{ template "breadcrumb" dict "page" . "value" .Title }}
                 {{ else }}
                   {{ .Title }} 
                 {{ end }}
                  </span>
                </div>
                {{ partial "toc.html" . }}
              </div>
            </div>
        <div id="head-tags">
          {{ partial "tags.html" . }}
        </div>
        {{ if .Params.chapter }}
          <div id="chapter">
        {{ end }}
        <div id="body-inner">
          {{if and (not .IsHome) (not .Params.chapter) }}
            <h1>
              {{ if eq .Kind "taxonomy" }}
                {{.Kind}} ::
              {{ end }}
              {{.Title}}
            </h1>
          {{end}}

        {{define "breadcrumb"}}
          {{$parent := .page.Parent }}
          {{ if $parent }}
            {{ $value := (printf "<a href='%s'>%s</a> > %s" $parent.URL $parent.Title .value) }}
            {{ template "breadcrumb" dict "page" $parent "value" $value }} 
          {{else}}
            {{.value|safeHTML}}
          {{end}}
        {{end}}

